#
# spec file for package python-regex
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-regex
Version:        2017.07.28
Release:        lp151.2.3
Summary:        Alternative regular expression module for Python
License:        Python-2.0
Group:          Development/Languages/Python
Url:            https://bitbucket.org/mrabarnett/mrab-regex
Source:         https://files.pythonhosted.org/packages/source/r/regex/regex-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  python-rpm-macros
BuildRequires:  python3-testsuite
%python_subpackages

%description
An alternate regex implementation. It differs from "re" in that

* Zero-width matches are handled like in Perl and PCRE:
  * ``.split`` will split a string at a zero-width match.
  * ``.sub`` will handle zero-width matches correctly.
* Inline flags apply to the end of the group or pattern, and they can
  be turned off.
* Nested sets and set operations are supported.
* Case-insensitive matches in Unicode use full case-folding by
  default.

%prep
%setup -q -n regex-%{version}

%build
%python_build

%install
%python_install

%check
%{python_expand PYTHONPATH=%{buildroot}%{$python_sitearch}
$python -B %{buildroot}%{$python_sitearch}/test_regex.py
}

%files %{python_files}
%defattr(-,root,root)
%doc README
%doc docs/*
%{python_sitearch}/*

%changelog
* Sat Sep  2 2017 jengelh@inai.de
- Specify in description what makes regex worthwhile to have.
  Fix RPM group.
* Thu Aug 31 2017 toddrme2178@gmail.com
- Update to 2017.07.28
  * Too many changes to list
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Fri Jun 16 2017 ecsos@opensuse.org
- Update to 2017.06.07
  * Too many changes to list
* Sat Sep 17 2016 toddrme2178@gmail.com
- Update to 2016.08.27
  * Too many changes to list
- Complete rewrite of the .spec file.
* Wed May  9 2012 froh@suse.com
- update to current version 0.1.20120506
* Tue Oct  4 2011 jw@suse.com
- initial pull from pypi
